<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
/*---------------------------------------------------+
| Advanced News System
+----------------------------------------------------+
| Advanced News System (ANS)
| Author: Shedrock - PHP-Fusion Themes
| Support: http://phpfusion-themes.com
+----------------------------------------------------*/

require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
include LOCALE.LOCALESET."ans.php";
include (INCLUDES."news_scripts.php");


///////////////////////
// News Code Begins //
/////////////////////

//opentable($locale['ans000']);
opentable($locale['046']);

	$min=10;	    //minimum visible News Articles
	$max=15;        //maximum number of News Articles hidden

////////////////////////////
// Define Tooltip colors //
//////////////////////////
$textcolor = "#000000";

if (!isset($readmore)) {
	$items_per_page = 20;


$result = dbquery(
	"SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn
	LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
	WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")
	ORDER BY news_sticky DESC, news_datestamp DESC LIMIT $min"
);
echo "<table cellSpacing='1' class='tbl-border' cellPadding='3' width='100%' border='0'><tr>";
echo "<td align='left' class='tbl2' width='100%' colspan='2'>";
echo "<div align='center' style='font-family: Arial, verdana; font-size:11px; letter-spacing:3px; font-weight:bold;'>".$locale['ans100']."</div></td></tr>";
echo "<tr><td class='tbl1' align='left' width='65%'>";
echo "<img src='".IMAGES."news/readpopup.gif' align='absMiddle' border='0' width='13' height='15'> ".$locale['ans101']." <a style='cursor:hand;' class=\"small\" onMouseover=\"showhint('<font color=$textcolor>".$locale['pop100']."', this, event, '150px')\">[?]</a></font></td>";
echo "<td class='tbl1' align='left' width='35%'>";
echo "<img src='".IMAGES."news/addarticle.gif' align='absMiddle' border='0' width='13' height='15'> ".$locale['ans102']." <a style='cursor:hand;' class=\"small\" onMouseover=\"showhint('<font color=$textcolor>".$locale['pop101']."', this, event, '150px')\">[?]</a></font></td></tr>";
echo "<tr><td class='tbl1' align='left' width='65%'><img src='".IMAGES."news/readnormal.gif' align='absMiddle' border='0' width='13' height='15'> ".$locale['ans103']." <a style='cursor:hand;' class=\"small\" onMouseover=\"showhint('<font color=$textcolor>".$locale['pop102']."', this, event, '150px')\">[?]</a></font></td>";
echo "<td class='tbl1' align='left' width='35%'><img src='".IMAGES."news/postcomment.gif' align='absMiddle' border='0' width='13' height='15'> ".$locale['ans104']." <a style='cursor:hand;' class=\"small\" onMouseover=\"showhint('<font color=$textcolor>".$locale['pop103']."', this, event, '150px')\">[?]</a></font></td></tr>";
echo "<tr><td class='tbl1' align='left' width='65%'><img src='".IMAGES."news/sendmail.gif' align='absMiddle' border='0' width='13' height='15'> ".$locale['ans105']." <a style='cursor:hand;' class=\"small\" onMouseover=\"showhint('<font color=$textcolor>".$locale['pop104']."', this, event, '150px')\">[?]</a></font></td>";
echo "<td class='tbl1' align='left' width='35%'><img src='".IMAGES."news/printarticle.gif' align='absMiddle' border='0' width='13' height='15'> ".$locale['ans106']." <a style='cursor:hand;' class=\"small\" onMouseover=\"showhint('<font color=$textcolor>".$locale['pop105']."', this, event, '150px')\">[?]</a></font></td>";
echo "</tr></table></center><hr>";
echo "<table class='tbl-border' border='0' cellpadding='0' cellspacing='1' width='100%'><tr>";
echo "<td class='tbl2' width='15%'><div align='center'><b>".$locale['ans107']."</b></td></div>";
echo "<td align='center' class='tbl2' width='55%'><b>".$locale['ans108']."</b> ".$locale['ans109']."</td>";
echo "<td class='tbl2' width='15%'><div align='center'><b>".$locale['ans110']."</b></td></div>";
echo "<td class='tbl2' width='15%'><div align='center'><b>".$locale['ans111']."</b></td></div>";

while ($data = dbarray($result)) {
		if ($data['news_cat'] != 0) {
			$result2 = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='".$data['news_cat']."'");
			if (dbrows($result2)) {
				$data2 = dbarray($result2);
				$news_cat_image = "<a href='news_cats.php?cat_id=".$data2['news_cat_id']."'><img src='".IMAGES_NC.$data2['news_cat_image']."' alt='".$data2['news_cat_name']."' align='left' style='border:0px;margin-right:5px'></a>";
			}
		}
$itemsubject = trimlink($data['news_subject'], 50);
$title = $data['news_subject'];
$sh_title = $title;
$n_id = $data['news_id'];
$v_id = $data['news_reads'];
$comments_n = dbcount("(comment_id)", "comments", "comment_type='N' AND comment_item_id=$n_id");
$date = $data['news_datestamp'];
$n_date = showdate( "%d-%m-%y", $date);

if (iADMIN && checkrights("N")) echo "<form name='editnews".$data['news_id']."' method='post' action='".ADMIN."news.php".$aidlink."&amp;news_id=".$data['news_id']."'>\n";

echo "<tr><td class='tbl1' width='15%'><div align='center'>".$data2['news_cat_name']."<br>$n_date</td></div>";
echo "<td class='tbl1' width='55%'><a onMouseOver=\"toolTip('<font color=$textcolor>".trimlink($data['news_news'], 150)."</font>');\"onMouseOut=\"toolTip();\"  name='news_".$data['news_id']."' id='news_".$data['news_id']."' onclick=\"NewWindow(this.href,'name','570','300','yes');return false\" href='".BASEDIR."ans.php?readmore=".$data['news_id']."'><b>$itemsubject</a></b><br>".$locale['ans112']." $v_id ";

$result2 = dbquery(
"SELECT tcm.*,user_name FROM ".DB_PREFIX."comments tcm
LEFT JOIN ".DB_PREFIX."users tcu ON tcm.comment_name=tcu.user_id
WHERE comment_item_id='".$data['news_id']."' AND comment_type='N'
ORDER BY comment_datestamp ASC LIMIT 1"
);
if (dbrows($result2) != 0) {
$data2 = dbarray($result2);
}
if ($data['news_allow_comments']) {if (dbrows($result2) > 0)echo "- <a href='news.php?readmore=$n_id' style='cursor:hand;' title='".$locale['ans113']." $comments_n  ".trimlink($data2['comment_message'], 120)." '>".$locale['ans113']." $comments_n</a></td>";
}else{
echo "</td>";
}

echo "<td class='tbl1' width='15%'><div align='center'><a onclick=\"NewWindow(this.href,'name','570','300','yes');return false\" onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans114']."</b></font>');\"onMouseOut=\"toolTip();\" href='".BASEDIR."ans.php?readmore=".$data['news_id']."'><img border='0' src='".IMAGES."news/readpopup.gif'></a>&nbsp;<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans115']."</b></font>');\"onMouseOut=\"toolTip();\" href='news.php?readmore=$n_id'><img border='0' src='".IMAGES."news/readnormal.gif'></a></td></div>";
echo "<td class='tbl1' width='15%'><div align='center'><a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans116']."</b></font>');\"onMouseOut=\"toolTip();\" href='news.php?readmore=$n_id'>";
if ($data['news_allow_comments']) {echo "<img border='0' src='".IMAGES."news/postcomment.gif'></a>&nbsp;";
}else{
echo "<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans118']."</b></font>');\" onMouseOut=\"toolTip();\"><img border='0' src='".IMAGES."news/nocomment.gif'></a>&nbsp;";
}
if (iMEMBER) {
echo "<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans117']."</b></font>');\"onMouseOut=\"toolTip();\" href='".BASEDIR."submit.php?stype=n'><img border='0' src='".IMAGES."news/addarticle.gif'></a>&nbsp;";
echo "<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans119']."</b></font>');\"onMouseOut=\"toolTip();\" onclick=\"NewWindow(this.href,'name','570','570','yes');return false\" href='print.php?type=N&item_id=".$data['news_id']."'><img border='0' src='".IMAGES."news/printarticle.gif'></a>&nbsp;";

if (iADMIN && checkrights("N")) 
echo "<input type='hidden' name='edit' value='edit'><a onMouseOver=\"toolTip('<font color=#FF0000><b>".$locale['admin100']."</b></font>');\"onMouseOut=\"toolTip();\" href='javascript:document.editnews".$data['news_id'].".submit();'><img border='0' src='".IMAGES."news/editnews.gif'></a></form>";
}else{
echo "<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans119']."</b></font>');\"onMouseOut=\"toolTip();\" onclick=\"NewWindow(this.href,'name','570','570','yes');return false\" href='print.php?type=N&item_id=".$data['news_id']."'><img border='0' src='".IMAGES."news/printarticle.gif'></a>";
	}
echo "</td></div>";
}
echo "</td></tr></table><br>";



/////////////////////////////////
// Show more news begins here //
///////////////////////////////

$result = dbquery(
	"SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn
	LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
	WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")
	ORDER BY news_sticky DESC, news_datestamp DESC LIMIT $min, $max"
);
echo "<img border='0' src='".THEME."images/bullet.gif'>&nbsp;<a href=\"javascript:toggleLayer('showmorenews');\" title='' alt=''><strong>".$locale['ans120']."</strong></a><br><br><div id='showmorenews'>";
echo "<table class='tbl-border' border='0' cellpadding='0' cellspacing='1' width='100%'>";

while ($data = dbarray($result)) {
		if ($data['news_cat'] != 0) {
			$result2 = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='".$data['news_cat']."'");
			if (dbrows($result2)) {
				$data2 = dbarray($result2);
				$news_cat_image = "<a href='news_cats.php?cat_id=".$data2['news_cat_id']."'><img src='".IMAGES_NC.$data2['news_cat_image']."' alt='".$data2['news_cat_name']."' align='left' style='border:0px;margin-right:5px'></a>";
			}
		}
$itemsubject = trimlink($data['news_subject'], 50);
$title = $data['news_subject'];
$sh_title = $title;
$n_id = $data['news_id'];
$v_id = $data['news_reads'];
$comments_n = dbcount("(comment_id)", "comments", "comment_type='N' AND comment_item_id=$n_id");
$date = $data['news_datestamp'];
$n_date = showdate( "%d-%m-%y", $date);

if (iADMIN && checkrights("N")) echo "<form name='editnews".$data['news_id']."' method='post' action='".ADMIN."news.php".$aidlink."&amp;news_id=".$data['news_id']."'>\n";
echo "<tr><td class='tbl1' width='15%'><div align='center'>".$data2['news_cat_name']."<br>$n_date</td></div>";
echo "<td class='tbl1' width='55%'><a onMouseOver=\"toolTip('<font color=$textcolor>".trimlink($data['news_news'], 150)."</font>');\"onMouseOut=\"toolTip();\"  name='news_".$data['news_id']."' id='news_".$data['news_id']."' onclick=\"NewWindow(this.href,'name','570','300','yes');return false\" href='".BASEDIR."ans.php?readmore=".$data['news_id']."'><b>$itemsubject</a></b><br>".$locale['ans112']." $v_id ";

$result2 = dbquery(
"SELECT tcm.*,user_name FROM ".DB_PREFIX."comments tcm
LEFT JOIN ".DB_PREFIX."users tcu ON tcm.comment_name=tcu.user_id
WHERE comment_item_id='".$data['news_id']."' AND comment_type='N'
ORDER BY comment_datestamp ASC LIMIT 1"
);
if (dbrows($result2) != 0) {
$data2 = dbarray($result2);
}
if ($data['news_allow_comments']) {if (dbrows($result2) > 0)echo "- <a href='news.php?readmore=$n_id' style='cursor:hand;' title='".$locale['ans113']." $comments_n  ".trimlink($data2['comment_message'], 120)." '>".$locale['ans113']." $comments_n</a></td>";
}else{
echo "</td>";
}
echo"<td class='tbl1' width='15%'><div align='center'><a onclick=\"NewWindow(this.href,'name','570','300','yes');return false\" onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans114']."</b></font>');\"onMouseOut=\"toolTip();\" href='".BASEDIR."ans.php?readmore=".$data['news_id']."'><img border='0' src='".IMAGES."news/readpopup.gif'></a>&nbsp;<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans115']."</b></font>');\"onMouseOut=\"toolTip();\" href='news.php?readmore=$n_id'><img border='0' src='".IMAGES."news/readnormal.gif'></a></td></div>";
echo "<td class='tbl1' width='15%'>";
echo "<div align='center'><a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans116']."</b></font>');\"onMouseOut=\"toolTip();\" href='news.php?readmore=$n_id'>";
if ($data['news_allow_comments']) {echo "<img border='0' src='".IMAGES."news/postcomment.gif'></a>&nbsp;";
}else{
echo "<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans118']."</b></font>');\" onMouseOut=\"toolTip();\"><img border='0' src='".IMAGES."news/nocomment.gif'></a>&nbsp;";
}
if (iMEMBER) {
echo "<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans117']."</b></font>');\"onMouseOut=\"toolTip();\" href='".BASEDIR."submit.php?stype=n'><img border='0' src='".IMAGES."news/addarticle.gif'></a>&nbsp;";
echo "<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans119']."</b></font>');\"onMouseOut=\"toolTip();\" onclick=\"NewWindow(this.href,'name','570','570','yes');return false\" href='print.php?type=N&item_id=".$data['news_id']."'><img border='0' src='".IMAGES."news/printarticle.gif'></a>&nbsp;";

if (iADMIN && checkrights("N")) 
echo "<input type='hidden' name='edit' value='edit'><a onMouseOver=\"toolTip('<font color=#FF0000><b>".$locale['admin100']."</b></font>');\"onMouseOut=\"toolTip();\" href='javascript:document.editnews".$data['news_id'].".submit();'><img border='0' src='".IMAGES."news/editnews.gif'></a></form>";
}else{
echo "<a onMouseOver=\"toolTip('<font color=$textcolor><b>".$locale['ans119']."</b></font>');\"onMouseOut=\"toolTip();\" onclick=\"NewWindow(this.href,'name','570','570','yes');return false\" href='print.php?type=N&item_id=".$data['news_id']."'><img border='0' src='".IMAGES."news/printarticle.gif'></a>";
	}
echo "</td>";
}
echo "</tr></table><br></div>";

//*************************************************************
//Check to see if the News Archive Infusion has been installed
//*************************************************************

$filename = "".INFUSIONS."news_archive/";
if (file_exists($filename)) {

	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'><tr>";
	echo "<td class='tbl1' width='25%'><form method='POST' action='".INFUSIONS."news_archive/news_archive.php'>";
	echo "<div align='center'><input type='submit' style='cursor:hand;' value='".$locale['ans121']."' class='button'></a>";
	echo "</form></td></tr></table></div>";

} else {

	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'><tr>";
	echo "<td class='tbl1' width='25%'><form method='POST' action='".BASEDIR."news_cats.php'>";
	echo "<div align='center'><input type='submit' style='cursor:hand;' value='".$locale['ans122']."' class='button'></a>";
	echo "</form></td></tr></table></div>";
}  
echo "</div></div>";
} else {

	if (!isNum($readmore)) fallback(FUSION_SELF);
	include INCLUDES."comments_include.php";
	include INCLUDES."ratings_include.php";
	$result = dbquery(
		"SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn
		LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
		WHERE news_id='$readmore'"
	);
	if (dbrows($result)!=0) {
		$data = dbarray($result);
		if (checkgroup($data['news_visibility'])) {
			$news_cat_image = "";
			if (!isset($_POST['post_comment']) && !isset($_POST['post_rating'])) {
				 $result2 = dbquery("UPDATE ".$db_prefix."news SET news_reads=news_reads+1 WHERE news_id='$readmore'");
				 $data['news_reads']++;
			}
			$news_subject = $data['news_subject'];
			if ($data['news_cat'] != 0) {
				$result2 = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='".$data['news_cat']."'");
				if (dbrows($result2)) {
					$data2 = dbarray($result2);
					$news_cat_image = "<a href='news_cats.php?cat_id=".$data2['news_cat_id']."'><img src='".IMAGES_NC.$data2['news_cat_image']."' alt='".$data2['news_cat_name']."' align='left' style='border:0px;margin-right:5px'></a>";
				}
			}
			$news_news = stripslashes($data['news_extended'] ? $data['news_extended'] : $data['news_news']);
			if ($data['news_breaks'] == "y") { $news_news = nl2br($news_news); }
			if ($news_cat_image != "") $news_news = $news_cat_image.$news_news;
			$news_info = array(
				"news_id" => $data['news_id'],
				"user_id" => $data['user_id'],
				"user_name" => $data['user_name'],
				"news_date" => $data['news_datestamp'],
				"news_ext" => "n",
				"news_reads" => $data['news_reads'],
				"news_comments" => dbcount("(comment_id)", "comments", "comment_type='N' AND comment_item_id='".$data['news_id']."'"),
				"news_allow_comments" => $data['news_allow_comments']
			);
			render_news($news_subject, $news_news, $news_info);
			if ($data['news_allow_comments']) showcomments("N","news","news_id",$readmore,FUSION_SELF."?readmore=$readmore");
			if ($data['news_allow_ratings']) showratings("N",$readmore,FUSION_SELF."?readmore=$readmore");
		} else {
			redirect(FUSION_SELF);
		}
	} else {
		redirect(FUSION_SELF);
	}
}
closetable();
require_once "side_right.php";
require_once "footer.php";
?>